Loading...
Searching...
No Matches
SourceMap< GR > Class Template Reference
Data Structures » Maps » Graph Maps

## Detailed Description

template<typename GR>
class lemon::SourceMap< GR >

SourceMap provides access for the source node of each arc in a digraph, which is returned by the `source()` function of the digraph.

Template Parameters

  GR | The digraph type.

See also
  TargetMap

`#include <lemon/maps.h>`

## Public Types

typedef GR::Arc | Key
| The key type (the `Arc` type of the digraph).
typedef GR::Node | Value
| The value type (the `Node` type of the digraph).

## Public Member Functions

| SourceMap (const GR &digraph)
| Constructor.
Value | operator[] (const Key &arc) const
| Returns the source node of the given arc.

## Related Symbols

(Note that these are not member symbols.)
template<typename GR>
SourceMap< GR > | sourceMap (const GR &graph)
| Returns a `SourceMap` class.

## Constructor & Destructor Documentation

## SourceMap()

template<typename GR>

SourceMap | ( | const GR & | digraph | ) |

inline explicit

Constructor.

Parameters

  digraph | The digraph that the map belongs to.

## Member Function Documentation

## operator[]()

template<typename GR>

Value operator[] | ( | const Key & | arc | ) | const

inline

Returns the source node of the given arc.